Build #7 for haslo-0.1.3

[all reports]

Package haslo-0.1.3
Install DependencyFailed wtk-0.2.1
Docs NotTried
Tests NotTried
Time submitted 2016-12-23 23:49:36.433346 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies base-4.9.0.0, mtl-2.2.1, old-time-1.1.0.3, wtk-0.2.1, QuickCheck-2.9.2, mtl-2.2.1, old-time-1.1.0.3, time-1.6.0.1, wtk-0.2.1, QuickCheck-2.9.2, mtl-2.2.1, old-time-1.1.0.3, time-1.6.0.1, wtk-0.2.1
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring mtl-2.2.1...
Configuring old-locale-1.0.0.7...
Building mtl-2.2.1...
Building old-locale-1.0.0.7...
Installed old-locale-1.0.0.7
Downloading wtk-0.2.1...
Configuring primitive-0.6.2.0...
Building primitive-0.6.2.0...
Configuring random-1.1...
Installed mtl-2.2.1
Building random-1.1...
Configuring old-time-1.1.0.3...
Installed random-1.1
Configuring wtk-0.2.1...
Installed primitive-0.6.2.0
Building wtk-0.2.1...
Building old-time-1.1.0.3...
Configuring tf-random-0.5...
Failed to install wtk-0.2.1
Build log ( /home/builder/.cabal/logs/wtk-0.2.1.log ):
cabal: Entering directory '/tmp/cabal-tmp-17170/wtk-0.2.1'
Configuring wtk-0.2.1...
Building wtk-0.2.1...
Preprocessing library wtk-0.2.1...
[1 of 4] Compiling Text.WtkParser   ( Text/WtkParser.hs, dist/build/Text/WtkParser.o )

Text/WtkParser.hs:36:10: error:
    • No instance for (Applicative Parser)
        arising from the superclasses of an instance declaration
    • In the instance declaration for ‘Monad Parser’

Text/WtkParser.hs:46:10: error:
    • No instance for (GHC.Base.Alternative Parser)
        arising from the superclasses of an instance declaration
    • In the instance declaration for ‘MonadPlus Parser’
cabal: Leaving directory '/tmp/cabal-tmp-17170/wtk-0.2.1'
Building tf-random-0.5...
Installed old-time-1.1.0.3
Installed tf-random-0.5
Configuring QuickCheck-2.9.2...
Building QuickCheck-2.9.2...
Installed QuickCheck-2.9.2
cabal: Error: some packages failed to install:
haslo-0.1.3 depends on wtk-0.2.1 which failed to install.
wtk-0.2.1 failed during the building phase. The exception was:
ExitFailure 1